%define use_enable_final 1
%{?_no_enable_final: %{expand: %%global use_enable_final 0}}

%define compile_apidox 1
%{?_no_apidox: %{expand: %%global compile_apidox 0}}

%define unstable 0
%{?_unstable: %{expand: %%global unstable 1}}

%if %unstable
%define dont_strip 1
%endif


# QTDIR is always /usr/lib/qt3, whether that's a lib64 architecture or
# not (sublibdirs are correctly qualified in the latter case however).
%define qtdir   %{_prefix}/lib/qt3


%define __libtoolize    /bin/true

%define lib_name_orig %mklibname kdetoys
%define lib_major 1
%define lib_name %lib_name_orig%lib_major

Name:		kdetoys
Summary:	K Desktop Environment - Toys and Amusements
Version: 3.5.7
Release: %mkrel 1
Epoch:		1
URL:		ftp://ftp.kde.org/pub/kde/stable/%version/src/
Packager:	Mandriva Linux KDE Team <kde@mandriva.com>

Source:     	ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.bz2

Patch1:		kdelibs-3.2-remove-rpath.patch
Patch2:		kdetoys-3.5.6-fix-screensaver-nodisplay.patch

Group:		Graphical desktop/KDE
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL
Obsoletes:	kteatime
Provides:	kteatime

# To remove
Obsoletes:	kdetoys3.0 kdetoys3
Provides:	kdetoys3 = %epoch:%version-%release

# lib is empty
Obsoletes:	%lib_name



BuildRequires:	XFree86-devel kdelibs-devel

BuildRequires:	qt3-devel
BuildRequires: automake1.7


%description
Toys for the K Desktop Environment.

Software included in this package are:
	- amor: Amusing Misuse Of Resources put's comic figures above your windows
	- eyesapplet: a kicker applet similar to XEyes
	- fifteenapplet: kicker applet, order 15 pieces in a 4x4 square by moving them
	- kmoon: system tray applet showing the moon phase
	- kodo: mouse movement meter
	- kscore: kicker applet with a sports ticker
	- kteatime: system tray applet that makes sure your tea doesn't get too strong
	- ktux: Tux-in-a-Spaceship screen saver
	- kweather: kicker applet that will display the current weather outside
	- kworldwatch: application and kicker applet showing daylight area on the world globe

%package -n %lib_name-devel
Summary:	Headers files for kdetoys
Group:		Development/KDE and Qt

Provides:	kdetoys-devel = %epoch:%version-%release
Obsoletes:	kdetoys-devel	


Obsoletes:  kdetoys3-devel
Provides:   kdetoys3-devel = %epoch:%name-%version

Provides:	%lib_name_orig-devel = %epoch:%version-%release

%description -n %lib_name-devel
Headers files for kdetoys.


%package kweather
Group:      Graphical desktop/KDE
Summary:    kweather
Conflicts:  kdetoys <= 3.4.0-5mdk
Conflicts:  %lib_name-kweather <= 3.2.3-1mdk
Provides:   kweather
Requires:	%lib_name-kweather = %epoch:%version-%release

%description kweather
kicker applet that will display the current weather outside

%package -n %lib_name-kweather
Group:      Development/KDE and Qt
Summary:    Libraries for kdetoys
Conflicts:  kdetoys <= 3.2-6mdk
Conflicts: %lib_name <= 3.2.3-11mdk

%description -n %lib_name-kweather
kicker applet that will display the current weather outside



%prep

%setup -q
%patch1 -p1 -b .remove_rpath
%patch2 -p1 -b .fix_screensaver_nodisplay

%build
make -f admin/Makefile.common cvs

export QTDIR=%qtdir
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

%{?__cputoolize: %{__cputoolize} }

%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
		%configure  --build=%_target_platform \
		    --host=%_target_platform \
			--enable-new-ldflags \
%if %unstable                    
					--enable-debug=full \
%else
					--disable-debug \
%endif
                    --enable-shared \
%if %use_enable_final
					--enable-final \
%else
					--disable-final \
%endif
                    --disable-static \
		    --disable-embedded \
		    --disable-palmtop \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif			
		    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
                    --with-xinerama

%make



%install
rm -fr %buildroot
export PATH=%_bindir:$PATH
# Dadou - 2.2-0.beta1.1mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot



# Create LMDK menu entries
install -d %buildroot/%_menudir/


kdedesktop2mdkmenu.pl kdetoys "More Applications/Games/Toys" %buildroot/%_datadir/applications/kde/amor.desktop %buildroot/%_menudir/kdetoys-amor
kdedesktop2mdkmenu.pl kdetoys "More Applications/Games/Toys" %buildroot/%_datadir/applications/kde/kodo.desktop %buildroot/%_menudir/kdetoys-kodo kde
kdedesktop2mdkmenu.pl kdetoys "More Applications/Games/Toys" %buildroot/%_datadir/applications/kde/kteatime.desktop %buildroot/%_menudir/kdetoys-kteatime kde
kdedesktop2mdkmenu.pl kdetoys "More Applications/Games/Toys" %buildroot/%_datadir/applications/kde/kworldclock.desktop %buildroot/%_menudir/kdetoys-kwordclock


%post
/sbin/ldconfig
%update_menus
%if %mdkversion > 200600
%update_icon_cache hicolor
%endif

%postun
/sbin/ldconfig
%clean_menus
%if %mdkversion > 200600
%clean_icon_cache hicolor
%endif


%post kweather -p /sbin/ldconfig


%postun kweather -p /sbin/ldconfig

%post -n %lib_name-kweather -p /sbin/ldconfig


%postun -n %lib_name-kweather -p /sbin/ldconfig


%clean
rm -fr %buildroot


%files 
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/amor/
%doc %_docdir/HTML/en/amor/common
%doc %_docdir/HTML/en/amor/*.docbook
%doc %_docdir/HTML/en/amor/*.bz2
%doc %_docdir/HTML/en/amor/*.png
#
#
%dir %_docdir/HTML/en/kmoon/
%doc %_docdir/HTML/en/kmoon/carlosmail
%doc %_docdir/HTML/en/kmoon/common
%doc %_docdir/HTML/en/kmoon/*.docbook
%doc %_docdir/HTML/en/kmoon/*.bz2
#
#
%dir %_docdir/HTML/en/kodo/
%doc %_docdir/HTML/en/kodo/common
%doc %_docdir/HTML/en/kodo/*.docbook
%doc %_docdir/HTML/en/kodo/*.png
%doc %_docdir/HTML/en/kodo/*.bz2
#
#
#
#
%dir %_docdir/HTML/en/kteatime/
%doc %_docdir/HTML/en/kteatime/common
%doc %_docdir/HTML/en/kteatime/*.docbook
%doc %_docdir/HTML/en/kteatime/*.png
%doc %_docdir/HTML/en/kteatime/*.bz2
#
#
%dir %_docdir/HTML/en/kworldclock/
%doc %_docdir/HTML/en/kworldclock/common
%doc %_docdir/HTML/en/kworldclock/*.docbook
%doc %_docdir/HTML/en/kworldclock/*.bz2
%doc %_docdir/HTML/en/kworldclock/*.png
#


#
%_bindir/amor
%_bindir/kodo
%_bindir/kteatime
%_bindir/ktux
%_bindir/kworldclock

%_menudir/*
#
#
%_libdir/kde3/eyes_panelapplet.la
%_libdir/kde3/eyes_panelapplet.so
%_libdir/kde3/fifteen_panelapplet.la
%_libdir/kde3/fifteen_panelapplet.so
%_libdir/kde3/ww_panelapplet.la
%_libdir/kde3/ww_panelapplet.so
%_libdir/kde3/kmoon_panelapplet.la
%_libdir/kde3/kmoon_panelapplet.so
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/System/
%dir %_datadir/applnk/System/ScreenSavers/
%_datadir/applnk/System/ScreenSavers/*.desktop
#
#
%_datadir/applications/kde/*.desktop
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/amor/
%_datadir/apps/amor/billyrc
%_datadir/apps/amor/blobrc
%_datadir/apps/amor/bsdrc
%_datadir/apps/amor/eyesrc
%_datadir/apps/amor/nekorc
%_datadir/apps/amor/ghostrc
%_datadir/apps/amor/pingurc
%_datadir/apps/amor/taorc
%_datadir/apps/amor/tips
%_datadir/apps/amor/tips-en
%_datadir/apps/amor/tuxrc
%_datadir/apps/amor/wormrc
%_datadir/apps/amor/bonhommerc
#

%dir %_datadir/apps/amor/pics/animated/blob/
%_datadir/apps/amor/pics/animated/blob/*.png

%dir %_datadir/apps/amor/pics/animated/bonhomme/
%_datadir/apps/amor/pics/animated/bonhomme/*.png

%dir %_datadir/apps/amor/pics/animated/eyes/
%_datadir/apps/amor/pics/animated/eyes/*.png

%dir %_datadir/apps/amor/pics/animated/ghost/
%_datadir/apps/amor/pics/animated/ghost/*.png

%dir %_datadir/apps/amor/pics/animated/neko/
%_datadir/apps/amor/pics/animated/neko/*.png

%dir %_datadir/apps/amor/pics/animated/pingu/
%_datadir/apps/amor/pics/animated/pingu/*.png

%dir %_datadir/apps/amor/pics/animated/tao/
%_datadir/apps/amor/pics/animated/tao/*.png

%dir %_datadir/apps/amor/pics/animated/worm/
%_datadir/apps/amor/pics/animated/worm/*.png

%dir %_datadir/apps/amor/pics/preview/
%_datadir/apps/amor/pics/preview/*.png

%dir %_datadir/apps/amor/pics/static/
%_datadir/apps/amor/pics/static/*.png

#
%dir %_datadir/apps/kdesktop/
%dir %_datadir/apps/kdesktop/programs/
%_datadir/apps/kdesktop/programs/kdeworld.desktop
#
#
%dir %_datadir/apps/kicker/
%dir %_datadir/apps/kicker/applets/
%_datadir/apps/kicker/applets/eyesapplet.desktop
%_datadir/apps/kicker/applets/kfifteenapplet.desktop
%_datadir/apps/kicker/applets/kwwapplet.desktop
#
#
%dir %_datadir/apps/kmoon/
%dir %_datadir/apps/kmoon/pics/
%_datadir/apps/kmoon/pics/*.png
#
#
%dir %_datadir/apps/kodo/
%_datadir/apps/kodo/*.png
#
#
%dir %_datadir/apps/ktux/
%dir %_datadir/apps/ktux/sprites/
%_datadir/apps/ktux/sprites/spriterc
%_datadir/apps/ktux/sprites/*.png
#
#
%dir %_datadir/apps/kworldclock/
%_datadir/apps/kworldclock/zone.tab
#
%dir %_datadir/apps/kworldclock/pics/
%_datadir/apps/kworldclock/pics/*.png
%_datadir/apps/kworldclock/pics/*.xpm

%dir %_datadir/apps/kworldclock/maps/flatworld/
%_datadir/apps/kworldclock/maps/flatworld/*.jpg
%_datadir/apps/kworldclock/maps/flatworld/*.desktop
#
%dir %_datadir/apps/kworldclock/maps/
%dir %_datadir/apps/kworldclock/maps/depths/
%_datadir/apps/kworldclock/maps/depths/*.desktop
%_datadir/apps/kworldclock/maps/depths/*.jpg
#
#
%dir %_datadir/apps/kicker/
%dir %_datadir/apps/kicker/applets/
%_datadir/apps/kicker/applets/kmoonapplet.desktop


%dir %_datadir/apps/kteatime/
%_datadir/apps/kteatime/eventsrc


#
%_datadir/apps/kteatime/icons/crystalsvg/22x22/actions/*.png
%_datadir/apps/kteatime/icons/hicolor/16x16/apps/kteatime.png
%_datadir/apps/kteatime/icons/hicolor/32x32/apps/kteatime.png
%_datadir/apps/kteatime/icons/hicolor/48x48/apps/kteatime.png

%_datadir/icons/hicolor/16x16/apps/*.png

%_datadir/icons/hicolor/22x22/apps/*.png

%_datadir/icons/hicolor/32x32/apps/*.png

%_datadir/icons/hicolor/48x48/apps/*.png





%files -n %lib_name-devel
%defattr(-,root,root,-)
%_includedir/*.h


%files kweather
%defattr(-,root,root,-)
%dir %_docdir/HTML/en/kweather/
%doc %_docdir/HTML/en/kweather/common
%doc %_docdir/HTML/en/kweather/*.docbook
%doc %_docdir/HTML/en/kweather/*.bz2
#
%_bindir/kweatherservice
%_bindir/kweatherreport

%dir %_datadir/apps/kweatherservice/
%_datadir/apps/kweatherservice/weather_stations.desktop


%dir %_datadir/apps/kweather/
%_datadir/apps/kweather/*.png

%dir %_datadir/apps/kweatherservice/
%_datadir/apps/kweatherservice/*.dat

%dir %_datadir/apps/kicker/
%dir %_datadir/apps/kicker/applets/
%_datadir/apps/kicker/applets/kweather.desktop

%_datadir/services/kcmweather.desktop         
%_datadir/services/kweatherservice.desktop
%_datadir/services/kcmweatherservice.desktop


%_libdir/kde3/kcm_weather.la
%_libdir/kde3/kcm_weatherservice.so
%_libdir/kde3/weather_panelapplet.la
%_libdir/kde3/kcm_weather.so
%_libdir/kde3/kweatherreport.la
%_libdir/kde3/weather_panelapplet.so
%_libdir/kde3/kcm_weatherservice.la
%_libdir/kde3/kweatherreport.so



%files -n %lib_name-kweather
%defattr(-,root,root,-)
%_libdir/libkdeinit_kweatherreport.la
%_libdir/libkdeinit_kweatherreport.so




%changelog
* Thu May 17 2007 Helio Chissini de Castro <helio@mandriva.com> 3.5.7-1mdv2008.0
+ Revision: 27531
- 3.5.7 release


* Sat Mar 31 2007 Laurent Montel <lmontel@mandriva.com> 3.5.6-6mdv2007.1
+ Revision: 149992
- Only display it under kde
- Fix screensaver nodisplay

* Tue Mar 06 2007 Laurent Montel <lmontel@mandriva.com> 1:3.5.6-4mdv2007.1
+ Revision: 133944
- Fix specification

* Mon Feb 05 2007 Laurent Montel <lmontel@mandriva.com> 1:3.5.6-3mdv2007.1
+ Revision: 116381
- Remove non existing requires
- 3.5.6

* Fri Dec 22 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.5-2mdv2007.1
+ Revision: 101414
- Fix spec file

* Wed Oct 18 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.5-1mdv2007.1
+ Revision: 65909
- 3.5.5
- New release (2006/08/03 3.5.4-1mdv)
- Use macro
- 3.5.3
- Rebuild
- Rebuild for generate category
- 3.5.2
- 3.5.1
- MDK9.2 is obsolete now
- Enable debug for cooker
- toto
- real kde3.5
- 3.5.0 (named rc1)
- 3.4.92
- Rebuild
- Use --libsuffix
  use %%qtdir
- Fix error
- Remove debug
  Add diff from svn kde 3.4.2 branch
- 3.4.2

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Helio Chissini de Castro <helio@mandriva.com>
    - We are Mandriva now
    - Uploading package ./kdetoys

* Thu May 05 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-5mdk
- Rebuild

* Sat Apr 23 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-4mdk
- Reactivate -fvisibility same as for ppc ask by Christiaan Welvaart <cjw@daneel.dyndns.org>

* Tue Apr 12 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-3mdk
- Fix requires (bug found by Nicolas Chipaux)

* Tue Apr 12 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-2mdk
- Use --enable-new-ldflags
- change email

* Thu Apr 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-1mdk
- 3.4.0

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-6mdk
- Disable debug

* Fri Jan 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-4mdk
- Fix generated menu
- Don't generate menu entry for ktux screensaver use applnk default directory which is hidden by default

* Mon Jan 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-4mdk
- Disable visibility for ppc

* Fri Jan 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-3mdk
- Use -fvisibility

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-2mdk
- Fix menu

* Tue Nov 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2

* Thu Oct 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-3mdk
- Bye-bye %%buildfor

* Tue Oct 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-2mdk
- Deprecated mdk < 9.2

* Fri Oct 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-1mdk
- 3.3.1

* Thu Sep 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-4mdk
- Fix conflict

* Wed Sep 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-3mdk
- Fix conflict from MDK10.0

* Wed Sep 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-2mdk
- Fix conflict

* Sat Sep 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-1mdk
- 3.3.0

* Tue Aug 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-10mdk
- add patch2: fix kweather rtl

* Sat Aug 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-9mdk
- Rebuild for missing package

* Tue Aug 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-8mdk
- Remove debug

* Thu Aug 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-7mdk
- Fix conflict

* Wed Aug 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-6mdk
- Fix spec file

* Fri Jul 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- Fix remove rpath

* Wed Jul 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-4mdk
- Rebuild to new kdelibs

* Tue Jul 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Fix conflict
- Remove libkdetoys it's empty

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- 3.2.3

* Sat Jun 05 2004 <lmontel@n2.mandrakesoft.com> 3.2.2-4mdk
- Rebuild

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-3mdk
- Fix conflict

* Wed Jun 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-2mdk
- Rebuild with debug

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Wed Apr 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- Fix spec file for using rpmbuildupdate

* Sat Apr 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

